Audits
Delete an information request for an audit
Deletes an information request for an audit. This performs a soft delete, marking
the request as deleted (setting deletionDate) while preserving it in the system
for audit history and compliance tracking.
Soft deletion allows:
- Maintaining complete audit trail of all requests ever created
- Retrieving deleted requests via
changedSinceDatefor synchronization
After deletion:
- The request will not appear in normal list responses (without
changedSinceDate) - The request’s
deletionDatefield will be populated
Rate limit: 50 requests / minute.
DELETE
/
audits
/
{auditId}
/
information-requests
/
{requestId}
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";
const vanta = new Vanta({
bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});
async function run() {
await vanta.audits.deleteInformationRequest({
auditId: "<id>",
requestId: "<id>",
});
}
run();package hello.world;
import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.operations.DeleteInformationRequestResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Vanta sdk = Vanta.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
DeleteInformationRequestResponse res = sdk.audits().deleteInformationRequest()
.auditId("<id>")
.requestId("<id>")
.call();
// handle response
}
}curl --request DELETE \
--url https://api.vanta.com/v1/audits/{auditId}/information-requests/{requestId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/audits/{auditId}/information-requests/{requestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/audits/{auditId}/information-requests/{requestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Was this page helpful?
⌘I
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";
const vanta = new Vanta({
bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});
async function run() {
await vanta.audits.deleteInformationRequest({
auditId: "<id>",
requestId: "<id>",
});
}
run();package hello.world;
import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.operations.DeleteInformationRequestResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Vanta sdk = Vanta.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
DeleteInformationRequestResponse res = sdk.audits().deleteInformationRequest()
.auditId("<id>")
.requestId("<id>")
.call();
// handle response
}
}